Subject: bug#33676: GuixSD on eoma68-a20?

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 15 Dec 2018 20:21:37 +0100

Hi Ludo,

On Fri, 14 Dec 2018 11:48:52 +0100
Ludovic Courtès <[email-masked]> wrote:

> I believe you can download it by running:
> 
>   guix build /gnu/store/ywrh286iqc3jlfhjqsvs22gmcr02i2bp-disk-image.drv

I don't have it.

> If you don’t have this .drv, you should be able to build it from commit
> cba7ddcf603455c6692eb50c8bbf203a6bf17ab1.

I tried

./pre-inst-env guix system disk-image --system=armhf-linux -e '(begin (use-modules (gnu system) (gnu bootloader) (gnu bootloader u-boot) (gnu system install)) (operating-system (inherit installation-os) (bootloader (bootloader-configuration (bootloader u-boot-bootloader) (target #f)))))'

and I get:

[...]
The following package will be installed:
   guile-bootstrap      2.0     /tmp/guix-tests/store/1gd1z2r2a38bh3a4494jbhyzcv5mi5hl-guile-bootstrap-2.0

The following derivation will be built:
   /tmp/guix-tests/store/dmmv0dnc8wvx9m12mln90w4b26sdxq5v-profile.drv
building /tmp/guix-tests/store/dmmv0dnc8wvx9m12mln90w4b26sdxq5v-profile.drv...
1 package in profile
The following environment variable definitions may be needed:
   export PATH="t-profile-15269/bin${PATH:+:}$PATH"
++ guix package -A guile-bootstrap
++ cut -f 1-2
Backtrace:
In guix/ui.scm:
  1603:12 19 (run-guix-command _ . _)
In ice-9/boot-9.scm:
    829:9 18 (catch _ _ #<procedure fed02558 at guix/ui.scm:615:2 (…> …)
    829:9 17 (catch _ _ #<procedure fed02568 at guix/ui.scm:733:6 (…> …)
In guix/scripts/package.scm:
    914:8 16 (_)
   729:25 15 (process-query _)
In guix/discovery.scm:
    155:3 14 (fold-module-public-variables _ _ _)
In guix/combinators.scm:
    45:26 13 (fold2 #<procedure 1229310 at guix/discovery.scm:155:1…> …)
    45:26 12 (fold2 #<procedure 22f5a0 at guix/discovery.scm:156:19…> …)
In guix/discovery.scm:
   158:33 11 (_ #<package scmutils@20160827 gnu/packages/scheme.scm…> …)
In guix/scripts/package.scm:
   732:39 10 (_ #<package scmutils@20160827 gnu/packages/scheme.scm…> …)
In guix/packages.scm:
   777:17  9 (supported-package? #<package scmutils@20160827 gnu/pa…> …)
In guix/memoization.scm:
    101:0  8 (_ #<hash-table 2bc240 3740/7027> #<package scmutils@2…> …)
In srfi/srfi-1.scm:
   466:18  7 (fold #<procedure fd5d9fe8 at guix/packages.scm:764:10…> …)
In guix/packages.scm:
   768:33  6 (_ _ ("x86_64-linux" "i686-linux" "armhf-linux" "aar…" …))
In guix/memoization.scm:
    101:0  5 (_ #<hash-table 2bc240 3740/7027> #<package mit-scheme…> …)
In guix/packages.scm:
   980:46  1 (thunk)
In gnu/packages/scheme.scm:
   170:30  0 (inputs)

gnu/packages/scheme.scm:170:30: In procedure inputs:
Throw to key `match-error' with args `("match" "no matching pattern" "armhf-linux")'.
++ guix package -p t-profile-15269 -I
++ cut -f 1-2
+ test '' = 'guile-bootstrap    2.0'
+ rm -f t-profile-15269 t-profile-15269-1-link t-guix-package-file-15269
+ rm -rf t-guix-package-15269 t-home-15269
./test-env: line 1: 15250 Terminated              "/tmp/guix-build-guix-0.16.0-4.60b0402.drv-0/source/pre-inst-env" "/tmp/guix-build-guix-0.16.0-4.60b0402.drv-0/source/guix-daemon" --disable-chroot --substitute-urls="$GUIX_BINARY_SUBSTITUTE_URL"
FAIL tests/guix-package.sh (exit status: 1)
[...]
/gnu/store/diwcb1v9lr156sg3q4ww1wvsniw4n6rf-module-import/guix/build/gnu-build-system.scm:369:6: In procedure check:
Throw to key `srfi-34' with args `(#<condition &invoke-error [program: "make" arguments: ("check") exit-status: 2 term-signal: #f stop-signal: #f] 1ebfa0>)'.
builder for `/gnu/store/dbf84br9nxk0a6d50lsgpcjkl5r4cm1s-guix-0.16.0-4.60b0402.drv' failed with exit code 1
build of /gnu/store/dbf84br9nxk0a6d50lsgpcjkl5r4cm1s-guix-0.16.0-4.60b0402.drv failed
View build log at '/var/log/guix/drvs/db/f84br9nxk0a6d50lsgpcjkl5r4cm1s-guix-0.16.0-4.60b0402.drv.bz2'.
guix system: error: build failed: build of `/gnu/store/dbf84br9nxk0a6d50lsgpcjkl5r4cm1s-guix-0.16.0-4.60b0402.drv' failed

And no image...